/*
 * Created on 26-mar-2004
 *
 */
package importo_progetto;

/**
 * @author Mauro
 *
 * Classe che modella la gestione di importi in euro.
 * Tratta da IOProgrammo n 66-67-68 di Paolo Perrotta
 * 
 */
public class Importo {

	private final boolean positivo;
	private final long euro;
	private final long cent;
	
	public Importo(boolean positivo, long euro, long cent){
		if (euro >= 0 && cent >= 0){
			this.positivo = positivo;
			this.euro = euro + (cent / 100);
			this.cent = cent % 100;
		}
		else{
			throw new NumberFormatException();
		}
	}
	
//	public Importo(boolean positivo, long euro, long cent){
//		this.positivo = positivo;
//		this.euro = euro + (cent / 100);
//		this.cent = cent % 100;
//	}
	
	public String toString(){
		String risultato = "";
		if (!positivo)
			risultato += "-";
		risultato = risultato + euro + "," + cent;
		return risultato;
	}
}
