/*
 * Created on 26-mar-2004
 *
 */
package importo_test;
import importo_progetto.*;
import junit.framework.*;
/**
 * @author Mauro
 *
 */
public class TestImporto extends TestCase{
	
	private Importo i1;
	private Importo i2;

	/**
	 * Costruttore particolare:
	 * richiede un parametro che corrisponde al nome del metodo che 
	 * effettua il test voluto.
	 * @param name
	 */
	public TestImporto(String name){
		super(name);
	}

	public static void main(String[] args){
		junit.textui.TestRunner.run(suite());
	}
	
	/**
	 * Metodo usato per creare un insieme di test da effettuare
	 * @return Test 
	 */
	public static Test suite(){
		TestSuite suite = new TestSuite();
		suite.addTest(new TestImporto("testToString"));
//		suite.addTest(new TestImporto("testCostruttoreNegativo"));
		return suite;
	}
	
	/**
	 * Metodo usato per inizializzare gli oggetti da testare
	 *
	 */
	public void setUp(){
		i1 = new Importo(true, 12, 10);
		i2 = new Importo(false, -1, 99);
	}
	
	/**
	 * Metodo necessario per distruggere oggetti inutili, chiudere
	 * connessioni a file etc.
	 * 
	 */
	public void tearDown(){}
	
	/**
	 * Metodo che effettua il vero test
	 *
	 */
	public void testToString(){
		assertEquals(i1.toString(), "12,10");
		assertEquals(i2.toString(), "-1,99");
	}

	public void testCostruttoreNegativo(){
		try{
			Importo i3 = new Importo(false, -10, 15);
			fail("Deve generare una eccezione");
		}
		catch(NumberFormatException nfe){}
	}
}
